Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/119
Addresses512
/64 networksPart of one
Network
2c19:dd:d9:dd:c25:c25:c00a:c400/119
First address
2c19:dd:d9:dd:c25:c25:c00a:c400
Last address
2c19:dd:d9:dd:c25:c25:c00a:c5ff
Addresses
512
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:00d9:00dd:0c25:0c25:c00a:c400
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zones
4.c.a.0.0.c.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
5.c.a.0.0.c.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
/119 is not on a 4-bit boundary, so it takes 2 /120 zones.
Split into smaller subnets/128

2c19:dd:d9:dd:c25:c25:c00a:c400/119 makes 512 subnets of /128; the first 256 are listed.

Subnets
#SubnetLast address
12c19:dd:d9:dd:c25:c25:c00a:c400/1282c19:dd:d9:dd:c25:c25:c00a:c400
22c19:dd:d9:dd:c25:c25:c00a:c401/1282c19:dd:d9:dd:c25:c25:c00a:c401
32c19:dd:d9:dd:c25:c25:c00a:c402/1282c19:dd:d9:dd:c25:c25:c00a:c402
42c19:dd:d9:dd:c25:c25:c00a:c403/1282c19:dd:d9:dd:c25:c25:c00a:c403
52c19:dd:d9:dd:c25:c25:c00a:c404/1282c19:dd:d9:dd:c25:c25:c00a:c404
62c19:dd:d9:dd:c25:c25:c00a:c405/1282c19:dd:d9:dd:c25:c25:c00a:c405
72c19:dd:d9:dd:c25:c25:c00a:c406/1282c19:dd:d9:dd:c25:c25:c00a:c406
82c19:dd:d9:dd:c25:c25:c00a:c407/1282c19:dd:d9:dd:c25:c25:c00a:c407
92c19:dd:d9:dd:c25:c25:c00a:c408/1282c19:dd:d9:dd:c25:c25:c00a:c408
102c19:dd:d9:dd:c25:c25:c00a:c409/1282c19:dd:d9:dd:c25:c25:c00a:c409
112c19:dd:d9:dd:c25:c25:c00a:c40a/1282c19:dd:d9:dd:c25:c25:c00a:c40a
122c19:dd:d9:dd:c25:c25:c00a:c40b/1282c19:dd:d9:dd:c25:c25:c00a:c40b
132c19:dd:d9:dd:c25:c25:c00a:c40c/1282c19:dd:d9:dd:c25:c25:c00a:c40c
142c19:dd:d9:dd:c25:c25:c00a:c40d/1282c19:dd:d9:dd:c25:c25:c00a:c40d
152c19:dd:d9:dd:c25:c25:c00a:c40e/1282c19:dd:d9:dd:c25:c25:c00a:c40e
162c19:dd:d9:dd:c25:c25:c00a:c40f/1282c19:dd:d9:dd:c25:c25:c00a:c40f
172c19:dd:d9:dd:c25:c25:c00a:c410/1282c19:dd:d9:dd:c25:c25:c00a:c410
182c19:dd:d9:dd:c25:c25:c00a:c411/1282c19:dd:d9:dd:c25:c25:c00a:c411
192c19:dd:d9:dd:c25:c25:c00a:c412/1282c19:dd:d9:dd:c25:c25:c00a:c412
202c19:dd:d9:dd:c25:c25:c00a:c413/1282c19:dd:d9:dd:c25:c25:c00a:c413
212c19:dd:d9:dd:c25:c25:c00a:c414/1282c19:dd:d9:dd:c25:c25:c00a:c414
222c19:dd:d9:dd:c25:c25:c00a:c415/1282c19:dd:d9:dd:c25:c25:c00a:c415
232c19:dd:d9:dd:c25:c25:c00a:c416/1282c19:dd:d9:dd:c25:c25:c00a:c416
242c19:dd:d9:dd:c25:c25:c00a:c417/1282c19:dd:d9:dd:c25:c25:c00a:c417
252c19:dd:d9:dd:c25:c25:c00a:c418/1282c19:dd:d9:dd:c25:c25:c00a:c418
262c19:dd:d9:dd:c25:c25:c00a:c419/1282c19:dd:d9:dd:c25:c25:c00a:c419
272c19:dd:d9:dd:c25:c25:c00a:c41a/1282c19:dd:d9:dd:c25:c25:c00a:c41a
282c19:dd:d9:dd:c25:c25:c00a:c41b/1282c19:dd:d9:dd:c25:c25:c00a:c41b
292c19:dd:d9:dd:c25:c25:c00a:c41c/1282c19:dd:d9:dd:c25:c25:c00a:c41c
302c19:dd:d9:dd:c25:c25:c00a:c41d/1282c19:dd:d9:dd:c25:c25:c00a:c41d
312c19:dd:d9:dd:c25:c25:c00a:c41e/1282c19:dd:d9:dd:c25:c25:c00a:c41e
322c19:dd:d9:dd:c25:c25:c00a:c41f/1282c19:dd:d9:dd:c25:c25:c00a:c41f
332c19:dd:d9:dd:c25:c25:c00a:c420/1282c19:dd:d9:dd:c25:c25:c00a:c420
342c19:dd:d9:dd:c25:c25:c00a:c421/1282c19:dd:d9:dd:c25:c25:c00a:c421
352c19:dd:d9:dd:c25:c25:c00a:c422/1282c19:dd:d9:dd:c25:c25:c00a:c422
362c19:dd:d9:dd:c25:c25:c00a:c423/1282c19:dd:d9:dd:c25:c25:c00a:c423
372c19:dd:d9:dd:c25:c25:c00a:c424/1282c19:dd:d9:dd:c25:c25:c00a:c424
382c19:dd:d9:dd:c25:c25:c00a:c425/1282c19:dd:d9:dd:c25:c25:c00a:c425
392c19:dd:d9:dd:c25:c25:c00a:c426/1282c19:dd:d9:dd:c25:c25:c00a:c426
402c19:dd:d9:dd:c25:c25:c00a:c427/1282c19:dd:d9:dd:c25:c25:c00a:c427
412c19:dd:d9:dd:c25:c25:c00a:c428/1282c19:dd:d9:dd:c25:c25:c00a:c428
422c19:dd:d9:dd:c25:c25:c00a:c429/1282c19:dd:d9:dd:c25:c25:c00a:c429
432c19:dd:d9:dd:c25:c25:c00a:c42a/1282c19:dd:d9:dd:c25:c25:c00a:c42a
442c19:dd:d9:dd:c25:c25:c00a:c42b/1282c19:dd:d9:dd:c25:c25:c00a:c42b
452c19:dd:d9:dd:c25:c25:c00a:c42c/1282c19:dd:d9:dd:c25:c25:c00a:c42c
462c19:dd:d9:dd:c25:c25:c00a:c42d/1282c19:dd:d9:dd:c25:c25:c00a:c42d
472c19:dd:d9:dd:c25:c25:c00a:c42e/1282c19:dd:d9:dd:c25:c25:c00a:c42e
482c19:dd:d9:dd:c25:c25:c00a:c42f/1282c19:dd:d9:dd:c25:c25:c00a:c42f
492c19:dd:d9:dd:c25:c25:c00a:c430/1282c19:dd:d9:dd:c25:c25:c00a:c430
502c19:dd:d9:dd:c25:c25:c00a:c431/1282c19:dd:d9:dd:c25:c25:c00a:c431
512c19:dd:d9:dd:c25:c25:c00a:c432/1282c19:dd:d9:dd:c25:c25:c00a:c432
522c19:dd:d9:dd:c25:c25:c00a:c433/1282c19:dd:d9:dd:c25:c25:c00a:c433
532c19:dd:d9:dd:c25:c25:c00a:c434/1282c19:dd:d9:dd:c25:c25:c00a:c434
542c19:dd:d9:dd:c25:c25:c00a:c435/1282c19:dd:d9:dd:c25:c25:c00a:c435
552c19:dd:d9:dd:c25:c25:c00a:c436/1282c19:dd:d9:dd:c25:c25:c00a:c436
562c19:dd:d9:dd:c25:c25:c00a:c437/1282c19:dd:d9:dd:c25:c25:c00a:c437
572c19:dd:d9:dd:c25:c25:c00a:c438/1282c19:dd:d9:dd:c25:c25:c00a:c438
582c19:dd:d9:dd:c25:c25:c00a:c439/1282c19:dd:d9:dd:c25:c25:c00a:c439
592c19:dd:d9:dd:c25:c25:c00a:c43a/1282c19:dd:d9:dd:c25:c25:c00a:c43a
602c19:dd:d9:dd:c25:c25:c00a:c43b/1282c19:dd:d9:dd:c25:c25:c00a:c43b
612c19:dd:d9:dd:c25:c25:c00a:c43c/1282c19:dd:d9:dd:c25:c25:c00a:c43c
622c19:dd:d9:dd:c25:c25:c00a:c43d/1282c19:dd:d9:dd:c25:c25:c00a:c43d
632c19:dd:d9:dd:c25:c25:c00a:c43e/1282c19:dd:d9:dd:c25:c25:c00a:c43e
642c19:dd:d9:dd:c25:c25:c00a:c43f/1282c19:dd:d9:dd:c25:c25:c00a:c43f
652c19:dd:d9:dd:c25:c25:c00a:c440/1282c19:dd:d9:dd:c25:c25:c00a:c440
662c19:dd:d9:dd:c25:c25:c00a:c441/1282c19:dd:d9:dd:c25:c25:c00a:c441
672c19:dd:d9:dd:c25:c25:c00a:c442/1282c19:dd:d9:dd:c25:c25:c00a:c442
682c19:dd:d9:dd:c25:c25:c00a:c443/1282c19:dd:d9:dd:c25:c25:c00a:c443
692c19:dd:d9:dd:c25:c25:c00a:c444/1282c19:dd:d9:dd:c25:c25:c00a:c444
702c19:dd:d9:dd:c25:c25:c00a:c445/1282c19:dd:d9:dd:c25:c25:c00a:c445
712c19:dd:d9:dd:c25:c25:c00a:c446/1282c19:dd:d9:dd:c25:c25:c00a:c446
722c19:dd:d9:dd:c25:c25:c00a:c447/1282c19:dd:d9:dd:c25:c25:c00a:c447
732c19:dd:d9:dd:c25:c25:c00a:c448/1282c19:dd:d9:dd:c25:c25:c00a:c448
742c19:dd:d9:dd:c25:c25:c00a:c449/1282c19:dd:d9:dd:c25:c25:c00a:c449
752c19:dd:d9:dd:c25:c25:c00a:c44a/1282c19:dd:d9:dd:c25:c25:c00a:c44a
762c19:dd:d9:dd:c25:c25:c00a:c44b/1282c19:dd:d9:dd:c25:c25:c00a:c44b
772c19:dd:d9:dd:c25:c25:c00a:c44c/1282c19:dd:d9:dd:c25:c25:c00a:c44c
782c19:dd:d9:dd:c25:c25:c00a:c44d/1282c19:dd:d9:dd:c25:c25:c00a:c44d
792c19:dd:d9:dd:c25:c25:c00a:c44e/1282c19:dd:d9:dd:c25:c25:c00a:c44e
802c19:dd:d9:dd:c25:c25:c00a:c44f/1282c19:dd:d9:dd:c25:c25:c00a:c44f
812c19:dd:d9:dd:c25:c25:c00a:c450/1282c19:dd:d9:dd:c25:c25:c00a:c450
822c19:dd:d9:dd:c25:c25:c00a:c451/1282c19:dd:d9:dd:c25:c25:c00a:c451
832c19:dd:d9:dd:c25:c25:c00a:c452/1282c19:dd:d9:dd:c25:c25:c00a:c452
842c19:dd:d9:dd:c25:c25:c00a:c453/1282c19:dd:d9:dd:c25:c25:c00a:c453
852c19:dd:d9:dd:c25:c25:c00a:c454/1282c19:dd:d9:dd:c25:c25:c00a:c454
862c19:dd:d9:dd:c25:c25:c00a:c455/1282c19:dd:d9:dd:c25:c25:c00a:c455
872c19:dd:d9:dd:c25:c25:c00a:c456/1282c19:dd:d9:dd:c25:c25:c00a:c456
882c19:dd:d9:dd:c25:c25:c00a:c457/1282c19:dd:d9:dd:c25:c25:c00a:c457
892c19:dd:d9:dd:c25:c25:c00a:c458/1282c19:dd:d9:dd:c25:c25:c00a:c458
902c19:dd:d9:dd:c25:c25:c00a:c459/1282c19:dd:d9:dd:c25:c25:c00a:c459
912c19:dd:d9:dd:c25:c25:c00a:c45a/1282c19:dd:d9:dd:c25:c25:c00a:c45a
922c19:dd:d9:dd:c25:c25:c00a:c45b/1282c19:dd:d9:dd:c25:c25:c00a:c45b
932c19:dd:d9:dd:c25:c25:c00a:c45c/1282c19:dd:d9:dd:c25:c25:c00a:c45c
942c19:dd:d9:dd:c25:c25:c00a:c45d/1282c19:dd:d9:dd:c25:c25:c00a:c45d
952c19:dd:d9:dd:c25:c25:c00a:c45e/1282c19:dd:d9:dd:c25:c25:c00a:c45e
962c19:dd:d9:dd:c25:c25:c00a:c45f/1282c19:dd:d9:dd:c25:c25:c00a:c45f
972c19:dd:d9:dd:c25:c25:c00a:c460/1282c19:dd:d9:dd:c25:c25:c00a:c460
982c19:dd:d9:dd:c25:c25:c00a:c461/1282c19:dd:d9:dd:c25:c25:c00a:c461
992c19:dd:d9:dd:c25:c25:c00a:c462/1282c19:dd:d9:dd:c25:c25:c00a:c462
1002c19:dd:d9:dd:c25:c25:c00a:c463/1282c19:dd:d9:dd:c25:c25:c00a:c463
1012c19:dd:d9:dd:c25:c25:c00a:c464/1282c19:dd:d9:dd:c25:c25:c00a:c464
1022c19:dd:d9:dd:c25:c25:c00a:c465/1282c19:dd:d9:dd:c25:c25:c00a:c465
1032c19:dd:d9:dd:c25:c25:c00a:c466/1282c19:dd:d9:dd:c25:c25:c00a:c466
1042c19:dd:d9:dd:c25:c25:c00a:c467/1282c19:dd:d9:dd:c25:c25:c00a:c467
1052c19:dd:d9:dd:c25:c25:c00a:c468/1282c19:dd:d9:dd:c25:c25:c00a:c468
1062c19:dd:d9:dd:c25:c25:c00a:c469/1282c19:dd:d9:dd:c25:c25:c00a:c469
1072c19:dd:d9:dd:c25:c25:c00a:c46a/1282c19:dd:d9:dd:c25:c25:c00a:c46a
1082c19:dd:d9:dd:c25:c25:c00a:c46b/1282c19:dd:d9:dd:c25:c25:c00a:c46b
1092c19:dd:d9:dd:c25:c25:c00a:c46c/1282c19:dd:d9:dd:c25:c25:c00a:c46c
1102c19:dd:d9:dd:c25:c25:c00a:c46d/1282c19:dd:d9:dd:c25:c25:c00a:c46d
1112c19:dd:d9:dd:c25:c25:c00a:c46e/1282c19:dd:d9:dd:c25:c25:c00a:c46e
1122c19:dd:d9:dd:c25:c25:c00a:c46f/1282c19:dd:d9:dd:c25:c25:c00a:c46f
1132c19:dd:d9:dd:c25:c25:c00a:c470/1282c19:dd:d9:dd:c25:c25:c00a:c470
1142c19:dd:d9:dd:c25:c25:c00a:c471/1282c19:dd:d9:dd:c25:c25:c00a:c471
1152c19:dd:d9:dd:c25:c25:c00a:c472/1282c19:dd:d9:dd:c25:c25:c00a:c472
1162c19:dd:d9:dd:c25:c25:c00a:c473/1282c19:dd:d9:dd:c25:c25:c00a:c473
1172c19:dd:d9:dd:c25:c25:c00a:c474/1282c19:dd:d9:dd:c25:c25:c00a:c474
1182c19:dd:d9:dd:c25:c25:c00a:c475/1282c19:dd:d9:dd:c25:c25:c00a:c475
1192c19:dd:d9:dd:c25:c25:c00a:c476/1282c19:dd:d9:dd:c25:c25:c00a:c476
1202c19:dd:d9:dd:c25:c25:c00a:c477/1282c19:dd:d9:dd:c25:c25:c00a:c477
1212c19:dd:d9:dd:c25:c25:c00a:c478/1282c19:dd:d9:dd:c25:c25:c00a:c478
1222c19:dd:d9:dd:c25:c25:c00a:c479/1282c19:dd:d9:dd:c25:c25:c00a:c479
1232c19:dd:d9:dd:c25:c25:c00a:c47a/1282c19:dd:d9:dd:c25:c25:c00a:c47a
1242c19:dd:d9:dd:c25:c25:c00a:c47b/1282c19:dd:d9:dd:c25:c25:c00a:c47b
1252c19:dd:d9:dd:c25:c25:c00a:c47c/1282c19:dd:d9:dd:c25:c25:c00a:c47c
1262c19:dd:d9:dd:c25:c25:c00a:c47d/1282c19:dd:d9:dd:c25:c25:c00a:c47d
1272c19:dd:d9:dd:c25:c25:c00a:c47e/1282c19:dd:d9:dd:c25:c25:c00a:c47e
1282c19:dd:d9:dd:c25:c25:c00a:c47f/1282c19:dd:d9:dd:c25:c25:c00a:c47f
1292c19:dd:d9:dd:c25:c25:c00a:c480/1282c19:dd:d9:dd:c25:c25:c00a:c480
1302c19:dd:d9:dd:c25:c25:c00a:c481/1282c19:dd:d9:dd:c25:c25:c00a:c481
1312c19:dd:d9:dd:c25:c25:c00a:c482/1282c19:dd:d9:dd:c25:c25:c00a:c482
1322c19:dd:d9:dd:c25:c25:c00a:c483/1282c19:dd:d9:dd:c25:c25:c00a:c483
1332c19:dd:d9:dd:c25:c25:c00a:c484/1282c19:dd:d9:dd:c25:c25:c00a:c484
1342c19:dd:d9:dd:c25:c25:c00a:c485/1282c19:dd:d9:dd:c25:c25:c00a:c485
1352c19:dd:d9:dd:c25:c25:c00a:c486/1282c19:dd:d9:dd:c25:c25:c00a:c486
1362c19:dd:d9:dd:c25:c25:c00a:c487/1282c19:dd:d9:dd:c25:c25:c00a:c487
1372c19:dd:d9:dd:c25:c25:c00a:c488/1282c19:dd:d9:dd:c25:c25:c00a:c488
1382c19:dd:d9:dd:c25:c25:c00a:c489/1282c19:dd:d9:dd:c25:c25:c00a:c489
1392c19:dd:d9:dd:c25:c25:c00a:c48a/1282c19:dd:d9:dd:c25:c25:c00a:c48a
1402c19:dd:d9:dd:c25:c25:c00a:c48b/1282c19:dd:d9:dd:c25:c25:c00a:c48b
1412c19:dd:d9:dd:c25:c25:c00a:c48c/1282c19:dd:d9:dd:c25:c25:c00a:c48c
1422c19:dd:d9:dd:c25:c25:c00a:c48d/1282c19:dd:d9:dd:c25:c25:c00a:c48d
1432c19:dd:d9:dd:c25:c25:c00a:c48e/1282c19:dd:d9:dd:c25:c25:c00a:c48e
1442c19:dd:d9:dd:c25:c25:c00a:c48f/1282c19:dd:d9:dd:c25:c25:c00a:c48f
1452c19:dd:d9:dd:c25:c25:c00a:c490/1282c19:dd:d9:dd:c25:c25:c00a:c490
1462c19:dd:d9:dd:c25:c25:c00a:c491/1282c19:dd:d9:dd:c25:c25:c00a:c491
1472c19:dd:d9:dd:c25:c25:c00a:c492/1282c19:dd:d9:dd:c25:c25:c00a:c492
1482c19:dd:d9:dd:c25:c25:c00a:c493/1282c19:dd:d9:dd:c25:c25:c00a:c493
1492c19:dd:d9:dd:c25:c25:c00a:c494/1282c19:dd:d9:dd:c25:c25:c00a:c494
1502c19:dd:d9:dd:c25:c25:c00a:c495/1282c19:dd:d9:dd:c25:c25:c00a:c495
1512c19:dd:d9:dd:c25:c25:c00a:c496/1282c19:dd:d9:dd:c25:c25:c00a:c496
1522c19:dd:d9:dd:c25:c25:c00a:c497/1282c19:dd:d9:dd:c25:c25:c00a:c497
1532c19:dd:d9:dd:c25:c25:c00a:c498/1282c19:dd:d9:dd:c25:c25:c00a:c498
1542c19:dd:d9:dd:c25:c25:c00a:c499/1282c19:dd:d9:dd:c25:c25:c00a:c499
1552c19:dd:d9:dd:c25:c25:c00a:c49a/1282c19:dd:d9:dd:c25:c25:c00a:c49a
1562c19:dd:d9:dd:c25:c25:c00a:c49b/1282c19:dd:d9:dd:c25:c25:c00a:c49b
1572c19:dd:d9:dd:c25:c25:c00a:c49c/1282c19:dd:d9:dd:c25:c25:c00a:c49c
1582c19:dd:d9:dd:c25:c25:c00a:c49d/1282c19:dd:d9:dd:c25:c25:c00a:c49d
1592c19:dd:d9:dd:c25:c25:c00a:c49e/1282c19:dd:d9:dd:c25:c25:c00a:c49e
1602c19:dd:d9:dd:c25:c25:c00a:c49f/1282c19:dd:d9:dd:c25:c25:c00a:c49f
1612c19:dd:d9:dd:c25:c25:c00a:c4a0/1282c19:dd:d9:dd:c25:c25:c00a:c4a0
1622c19:dd:d9:dd:c25:c25:c00a:c4a1/1282c19:dd:d9:dd:c25:c25:c00a:c4a1
1632c19:dd:d9:dd:c25:c25:c00a:c4a2/1282c19:dd:d9:dd:c25:c25:c00a:c4a2
1642c19:dd:d9:dd:c25:c25:c00a:c4a3/1282c19:dd:d9:dd:c25:c25:c00a:c4a3
1652c19:dd:d9:dd:c25:c25:c00a:c4a4/1282c19:dd:d9:dd:c25:c25:c00a:c4a4
1662c19:dd:d9:dd:c25:c25:c00a:c4a5/1282c19:dd:d9:dd:c25:c25:c00a:c4a5
1672c19:dd:d9:dd:c25:c25:c00a:c4a6/1282c19:dd:d9:dd:c25:c25:c00a:c4a6
1682c19:dd:d9:dd:c25:c25:c00a:c4a7/1282c19:dd:d9:dd:c25:c25:c00a:c4a7
1692c19:dd:d9:dd:c25:c25:c00a:c4a8/1282c19:dd:d9:dd:c25:c25:c00a:c4a8
1702c19:dd:d9:dd:c25:c25:c00a:c4a9/1282c19:dd:d9:dd:c25:c25:c00a:c4a9
1712c19:dd:d9:dd:c25:c25:c00a:c4aa/1282c19:dd:d9:dd:c25:c25:c00a:c4aa
1722c19:dd:d9:dd:c25:c25:c00a:c4ab/1282c19:dd:d9:dd:c25:c25:c00a:c4ab
1732c19:dd:d9:dd:c25:c25:c00a:c4ac/1282c19:dd:d9:dd:c25:c25:c00a:c4ac
1742c19:dd:d9:dd:c25:c25:c00a:c4ad/1282c19:dd:d9:dd:c25:c25:c00a:c4ad
1752c19:dd:d9:dd:c25:c25:c00a:c4ae/1282c19:dd:d9:dd:c25:c25:c00a:c4ae
1762c19:dd:d9:dd:c25:c25:c00a:c4af/1282c19:dd:d9:dd:c25:c25:c00a:c4af
1772c19:dd:d9:dd:c25:c25:c00a:c4b0/1282c19:dd:d9:dd:c25:c25:c00a:c4b0
1782c19:dd:d9:dd:c25:c25:c00a:c4b1/1282c19:dd:d9:dd:c25:c25:c00a:c4b1
1792c19:dd:d9:dd:c25:c25:c00a:c4b2/1282c19:dd:d9:dd:c25:c25:c00a:c4b2
1802c19:dd:d9:dd:c25:c25:c00a:c4b3/1282c19:dd:d9:dd:c25:c25:c00a:c4b3
1812c19:dd:d9:dd:c25:c25:c00a:c4b4/1282c19:dd:d9:dd:c25:c25:c00a:c4b4
1822c19:dd:d9:dd:c25:c25:c00a:c4b5/1282c19:dd:d9:dd:c25:c25:c00a:c4b5
1832c19:dd:d9:dd:c25:c25:c00a:c4b6/1282c19:dd:d9:dd:c25:c25:c00a:c4b6
1842c19:dd:d9:dd:c25:c25:c00a:c4b7/1282c19:dd:d9:dd:c25:c25:c00a:c4b7
1852c19:dd:d9:dd:c25:c25:c00a:c4b8/1282c19:dd:d9:dd:c25:c25:c00a:c4b8
1862c19:dd:d9:dd:c25:c25:c00a:c4b9/1282c19:dd:d9:dd:c25:c25:c00a:c4b9
1872c19:dd:d9:dd:c25:c25:c00a:c4ba/1282c19:dd:d9:dd:c25:c25:c00a:c4ba
1882c19:dd:d9:dd:c25:c25:c00a:c4bb/1282c19:dd:d9:dd:c25:c25:c00a:c4bb
1892c19:dd:d9:dd:c25:c25:c00a:c4bc/1282c19:dd:d9:dd:c25:c25:c00a:c4bc
1902c19:dd:d9:dd:c25:c25:c00a:c4bd/1282c19:dd:d9:dd:c25:c25:c00a:c4bd
1912c19:dd:d9:dd:c25:c25:c00a:c4be/1282c19:dd:d9:dd:c25:c25:c00a:c4be
1922c19:dd:d9:dd:c25:c25:c00a:c4bf/1282c19:dd:d9:dd:c25:c25:c00a:c4bf
1932c19:dd:d9:dd:c25:c25:c00a:c4c0/1282c19:dd:d9:dd:c25:c25:c00a:c4c0
1942c19:dd:d9:dd:c25:c25:c00a:c4c1/1282c19:dd:d9:dd:c25:c25:c00a:c4c1
1952c19:dd:d9:dd:c25:c25:c00a:c4c2/1282c19:dd:d9:dd:c25:c25:c00a:c4c2
1962c19:dd:d9:dd:c25:c25:c00a:c4c3/1282c19:dd:d9:dd:c25:c25:c00a:c4c3
1972c19:dd:d9:dd:c25:c25:c00a:c4c4/1282c19:dd:d9:dd:c25:c25:c00a:c4c4
1982c19:dd:d9:dd:c25:c25:c00a:c4c5/1282c19:dd:d9:dd:c25:c25:c00a:c4c5
1992c19:dd:d9:dd:c25:c25:c00a:c4c6/1282c19:dd:d9:dd:c25:c25:c00a:c4c6
2002c19:dd:d9:dd:c25:c25:c00a:c4c7/1282c19:dd:d9:dd:c25:c25:c00a:c4c7
2012c19:dd:d9:dd:c25:c25:c00a:c4c8/1282c19:dd:d9:dd:c25:c25:c00a:c4c8
2022c19:dd:d9:dd:c25:c25:c00a:c4c9/1282c19:dd:d9:dd:c25:c25:c00a:c4c9
2032c19:dd:d9:dd:c25:c25:c00a:c4ca/1282c19:dd:d9:dd:c25:c25:c00a:c4ca
2042c19:dd:d9:dd:c25:c25:c00a:c4cb/1282c19:dd:d9:dd:c25:c25:c00a:c4cb
2052c19:dd:d9:dd:c25:c25:c00a:c4cc/1282c19:dd:d9:dd:c25:c25:c00a:c4cc
2062c19:dd:d9:dd:c25:c25:c00a:c4cd/1282c19:dd:d9:dd:c25:c25:c00a:c4cd
2072c19:dd:d9:dd:c25:c25:c00a:c4ce/1282c19:dd:d9:dd:c25:c25:c00a:c4ce
2082c19:dd:d9:dd:c25:c25:c00a:c4cf/1282c19:dd:d9:dd:c25:c25:c00a:c4cf
2092c19:dd:d9:dd:c25:c25:c00a:c4d0/1282c19:dd:d9:dd:c25:c25:c00a:c4d0
2102c19:dd:d9:dd:c25:c25:c00a:c4d1/1282c19:dd:d9:dd:c25:c25:c00a:c4d1
2112c19:dd:d9:dd:c25:c25:c00a:c4d2/1282c19:dd:d9:dd:c25:c25:c00a:c4d2
2122c19:dd:d9:dd:c25:c25:c00a:c4d3/1282c19:dd:d9:dd:c25:c25:c00a:c4d3
2132c19:dd:d9:dd:c25:c25:c00a:c4d4/1282c19:dd:d9:dd:c25:c25:c00a:c4d4
2142c19:dd:d9:dd:c25:c25:c00a:c4d5/1282c19:dd:d9:dd:c25:c25:c00a:c4d5
2152c19:dd:d9:dd:c25:c25:c00a:c4d6/1282c19:dd:d9:dd:c25:c25:c00a:c4d6
2162c19:dd:d9:dd:c25:c25:c00a:c4d7/1282c19:dd:d9:dd:c25:c25:c00a:c4d7
2172c19:dd:d9:dd:c25:c25:c00a:c4d8/1282c19:dd:d9:dd:c25:c25:c00a:c4d8
2182c19:dd:d9:dd:c25:c25:c00a:c4d9/1282c19:dd:d9:dd:c25:c25:c00a:c4d9
2192c19:dd:d9:dd:c25:c25:c00a:c4da/1282c19:dd:d9:dd:c25:c25:c00a:c4da
2202c19:dd:d9:dd:c25:c25:c00a:c4db/1282c19:dd:d9:dd:c25:c25:c00a:c4db
2212c19:dd:d9:dd:c25:c25:c00a:c4dc/1282c19:dd:d9:dd:c25:c25:c00a:c4dc
2222c19:dd:d9:dd:c25:c25:c00a:c4dd/1282c19:dd:d9:dd:c25:c25:c00a:c4dd
2232c19:dd:d9:dd:c25:c25:c00a:c4de/1282c19:dd:d9:dd:c25:c25:c00a:c4de
2242c19:dd:d9:dd:c25:c25:c00a:c4df/1282c19:dd:d9:dd:c25:c25:c00a:c4df
2252c19:dd:d9:dd:c25:c25:c00a:c4e0/1282c19:dd:d9:dd:c25:c25:c00a:c4e0
2262c19:dd:d9:dd:c25:c25:c00a:c4e1/1282c19:dd:d9:dd:c25:c25:c00a:c4e1
2272c19:dd:d9:dd:c25:c25:c00a:c4e2/1282c19:dd:d9:dd:c25:c25:c00a:c4e2
2282c19:dd:d9:dd:c25:c25:c00a:c4e3/1282c19:dd:d9:dd:c25:c25:c00a:c4e3
2292c19:dd:d9:dd:c25:c25:c00a:c4e4/1282c19:dd:d9:dd:c25:c25:c00a:c4e4
2302c19:dd:d9:dd:c25:c25:c00a:c4e5/1282c19:dd:d9:dd:c25:c25:c00a:c4e5
2312c19:dd:d9:dd:c25:c25:c00a:c4e6/1282c19:dd:d9:dd:c25:c25:c00a:c4e6
2322c19:dd:d9:dd:c25:c25:c00a:c4e7/1282c19:dd:d9:dd:c25:c25:c00a:c4e7
2332c19:dd:d9:dd:c25:c25:c00a:c4e8/1282c19:dd:d9:dd:c25:c25:c00a:c4e8
2342c19:dd:d9:dd:c25:c25:c00a:c4e9/1282c19:dd:d9:dd:c25:c25:c00a:c4e9
2352c19:dd:d9:dd:c25:c25:c00a:c4ea/1282c19:dd:d9:dd:c25:c25:c00a:c4ea
2362c19:dd:d9:dd:c25:c25:c00a:c4eb/1282c19:dd:d9:dd:c25:c25:c00a:c4eb
2372c19:dd:d9:dd:c25:c25:c00a:c4ec/1282c19:dd:d9:dd:c25:c25:c00a:c4ec
2382c19:dd:d9:dd:c25:c25:c00a:c4ed/1282c19:dd:d9:dd:c25:c25:c00a:c4ed
2392c19:dd:d9:dd:c25:c25:c00a:c4ee/1282c19:dd:d9:dd:c25:c25:c00a:c4ee
2402c19:dd:d9:dd:c25:c25:c00a:c4ef/1282c19:dd:d9:dd:c25:c25:c00a:c4ef
2412c19:dd:d9:dd:c25:c25:c00a:c4f0/1282c19:dd:d9:dd:c25:c25:c00a:c4f0
2422c19:dd:d9:dd:c25:c25:c00a:c4f1/1282c19:dd:d9:dd:c25:c25:c00a:c4f1
2432c19:dd:d9:dd:c25:c25:c00a:c4f2/1282c19:dd:d9:dd:c25:c25:c00a:c4f2
2442c19:dd:d9:dd:c25:c25:c00a:c4f3/1282c19:dd:d9:dd:c25:c25:c00a:c4f3
2452c19:dd:d9:dd:c25:c25:c00a:c4f4/1282c19:dd:d9:dd:c25:c25:c00a:c4f4
2462c19:dd:d9:dd:c25:c25:c00a:c4f5/1282c19:dd:d9:dd:c25:c25:c00a:c4f5
2472c19:dd:d9:dd:c25:c25:c00a:c4f6/1282c19:dd:d9:dd:c25:c25:c00a:c4f6
2482c19:dd:d9:dd:c25:c25:c00a:c4f7/1282c19:dd:d9:dd:c25:c25:c00a:c4f7
2492c19:dd:d9:dd:c25:c25:c00a:c4f8/1282c19:dd:d9:dd:c25:c25:c00a:c4f8
2502c19:dd:d9:dd:c25:c25:c00a:c4f9/1282c19:dd:d9:dd:c25:c25:c00a:c4f9
2512c19:dd:d9:dd:c25:c25:c00a:c4fa/1282c19:dd:d9:dd:c25:c25:c00a:c4fa
2522c19:dd:d9:dd:c25:c25:c00a:c4fb/1282c19:dd:d9:dd:c25:c25:c00a:c4fb
2532c19:dd:d9:dd:c25:c25:c00a:c4fc/1282c19:dd:d9:dd:c25:c25:c00a:c4fc
2542c19:dd:d9:dd:c25:c25:c00a:c4fd/1282c19:dd:d9:dd:c25:c25:c00a:c4fd
2552c19:dd:d9:dd:c25:c25:c00a:c4fe/1282c19:dd:d9:dd:c25:c25:c00a:c4fe
2562c19:dd:d9:dd:c25:c25:c00a:c4ff/1282c19:dd:d9:dd:c25:c25:c00a:c4ff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses